<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="vm"
            type="com.yidian.shenghuoquan.buserorder.viewmodel.OrderDetailViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true">

        <com.yidian.bcommon.widget.CommonTopBarView
            android:id="@+id/bv_top_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:CommonTopBarView_bg_color="@color/white"
            app:CommonTopBarView_horizontal_padding="@dimen/dp10"
            app:CommonTopBarView_statusBar_color="@color/white"
            app:CommonTopBarView_title_text="订单详情"
            app:layout_constraintTop_toTopOf="parent" />

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/rl_order_detail"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/bv_top_bar">

            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingStart="@dimen/dp16"
                    android:paddingEnd="@dimen/dp16"
                    android:paddingBottom="@dimen/dp46">

                    <com.yidian.shenghuoquan.buserorder.ui.widget.OderStatusView
                        android:id="@+id/sv_order_status"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp16"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <com.yidian.shenghuoquan.buserorder.ui.widget.OrderPickupPointInfoView
                        android:id="@+id/pv_pickup_point_info"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp16"
                        app:layout_constraintTop_toBottomOf="@id/sv_order_status" />

                    <com.yidian.shenghuoquan.buserorder.ui.widget.OrderConsigneeInfoView
                        android:id="@+id/iv_consignee_info"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp8"
                        app:layout_constraintTop_toBottomOf="@id/pv_pickup_point_info" />

                    <com.yidian.shenghuoquan.buserorder.ui.widget.OrderCommodityInfoView
                        android:id="@+id/iv_commodity_info"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp8"
                        app:layout_constraintTop_toBottomOf="@id/iv_consignee_info" />

                    <com.yidian.shenghuoquan.buserorder.ui.widget.OrderInfoView
                        android:id="@+id/iv_order_info"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp8"
                        app:layout_constraintTop_toBottomOf="@id/iv_commodity_info" />

                </androidx.constraintlayout.widget.ConstraintLayout>

            </ScrollView>

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>